=== debian/control ===
--- 
+++ 
@@ -14,12 +14,14 @@
  python3,
  python3-apt,
 XSC-Ubuntu-Nvidia-Dependencies:
- nvidia-graphics-drivers-535 (= 535.274.02-0ubuntu0.24.04.2),
- nvidia-graphics-drivers-535-server (= 535.274.02-0ubuntu0.24.04.2),
- nvidia-graphics-drivers-570 (= 570.195.03-0ubuntu0.24.04.1),
- nvidia-graphics-drivers-570-server (= 570.195.03-0ubuntu0.24.04.2),
- nvidia-graphics-drivers-580 (= 580.95.05-0ubuntu0.24.04.2),
- nvidia-graphics-drivers-580-server (= 580.95.05-0ubuntu0.24.04.2),
+ nvidia-graphics-drivers-535 (= 535.288.01-0ubuntu0.24.04.1),
+ nvidia-graphics-drivers-535-server (= 535.288.01-0ubuntu0.24.04.2),
+ nvidia-graphics-drivers-570 (= 570.211.01-0ubuntu0.24.04.1),
+ nvidia-graphics-drivers-570-server (= 570.211.01-0ubuntu0.24.04.1),
+ nvidia-graphics-drivers-580 (= 580.126.09-0ubuntu0.24.04.1),
+ nvidia-graphics-drivers-580-server (= 580.126.09-0ubuntu0.24.04.1),
+ nvidia-graphics-drivers-590 (= 590.48.01-0ubuntu0.24.04.1),
+ nvidia-graphics-drivers-590-server (= 590.48.01-0ubuntu0.24.04.1),
 Standards-Version: 3.9.4
 Vcs-Git: git://git.launchpad.net/~ubuntu-kernel/ubuntu/+source/linux-restricted-modules-oem/+git/noble -b oem-6.17
 
@@ -95,6 +97,30 @@
 Description: Extra drivers for nvidia-580-open for the oem-6.17 flavour
  Install extra signed nvidia-580-open modules compatible with the oem-6.17 flavour.
 
+Package: linux-modules-nvidia-590-oem-6.17
+Build-Profiles: <!stage1>
+Architecture: amd64 
+Section: kernel
+Provides: ${dkms:nvidia-590-modules}, nvidia-prebuilt-kernel
+Depends:
+ ${misc:Depends},
+ linux-modules-nvidia-590-6.17.0-1009-oem (= ${binary:Version}),
+ ${nvk:nvidia-590},
+Description: Extra drivers for nvidia-590 for the oem-6.17 flavour
+ Install extra signed nvidia-590 modules compatible with the oem-6.17 flavour.
+
+Package: linux-modules-nvidia-590-open-oem-6.17
+Build-Profiles: <!stage1>
+Architecture: amd64 
+Section: kernel
+Provides: ${dkms:nvidia-590-open-modules}, nvidia-prebuilt-kernel
+Depends:
+ ${misc:Depends},
+ linux-modules-nvidia-590-open-6.17.0-1009-oem (= ${binary:Version}),
+ ${nvk:nvidia-590-open},
+Description: Extra drivers for nvidia-590-open for the oem-6.17 flavour
+ Install extra signed nvidia-590-open modules compatible with the oem-6.17 flavour.
+
 Package: linux-modules-nvidia-535-oem-24.04d
 Build-Profiles: <!stage1>
 Architecture: amd64 
@@ -166,6 +192,30 @@
  ${nvk:nvidia-580-open},
 Description: Extra drivers for nvidia-580-open for the oem-24.04d flavour
  Install extra signed nvidia-580-open modules compatible with the oem-24.04d flavour.
+
+Package: linux-modules-nvidia-590-oem-24.04d
+Build-Profiles: <!stage1>
+Architecture: amd64 
+Section: kernel
+Provides: ${dkms:nvidia-590-modules}, nvidia-prebuilt-kernel
+Depends:
+ ${misc:Depends},
+ linux-modules-nvidia-590-6.17.0-1009-oem (= ${binary:Version}),
+ ${nvk:nvidia-590},
+Description: Extra drivers for nvidia-590 for the oem-24.04d flavour
+ Install extra signed nvidia-590 modules compatible with the oem-24.04d flavour.
+
+Package: linux-modules-nvidia-590-open-oem-24.04d
+Build-Profiles: <!stage1>
+Architecture: amd64 
+Section: kernel
+Provides: ${dkms:nvidia-590-open-modules}, nvidia-prebuilt-kernel
+Depends:
+ ${misc:Depends},
+ linux-modules-nvidia-590-open-6.17.0-1009-oem (= ${binary:Version}),
+ ${nvk:nvidia-590-open},
+Description: Extra drivers for nvidia-590-open for the oem-24.04d flavour
+ Install extra signed nvidia-590-open modules compatible with the oem-24.04d flavour.
 
 Package: linux-modules-nvidia-525-oem-6.17
 Architecture: amd64 
@@ -265,58 +315,3 @@
  This package contains the Linux kernel nvidia modules for version 6.17.0-1009.
  .
  You likely do not want to install this package directly. Instead, install the
- one of the linux-modules-nvidia-535-oem* meta-packages,
- which will ensure that upgrades work correctly, and that supporting packages are
- also installed.
-
-Package: linux-modules-nvidia-535-6.17.0-1009-oem
-Build-Profiles: <!stage1>
-Architecture: amd64 
-Section: kernel
-Priority: optional
-Built-Using: ${linux:BuiltUsing}
-Depends:
- ${misc:Depends},
- ${shlibs:Depends},
- linux-image-6.17.0-1009-oem | linux-image-unsigned-6.17.0-1009-oem,
- linux-signatures-nvidia-6.17.0-1009-oem (= 6.17.0-1009.9),
- linux-objects-nvidia-535-6.17.0-1009-oem (= ${binary:Version}),
- ${nvk:nvidia-535},
-Description: Linux kernel nvidia modules for version 6.17.0-1009
- This package pulls together the Linux kernel nvidia modules for
- version 6.17.0-1009 with the appropriate signatures.
- .
- You likely do not want to install this package directly. Instead, install the
- one of the linux-modules-nvidia-535-oem* meta-packages,
- which will ensure that upgrades work correctly, and that supporting packages are
- also installed.
-
-Package: linux-objects-nvidia-535-open-6.17.0-1009-oem
-Build-Profiles: <!stage1>
-Architecture: amd64 
-Section: kernel
-Priority: optional
-Built-Using: ${linux:BuiltUsing}
-Depends:
- ${misc:Depends},
- ${shlibs:Depends},
- binutils,
-Description: Linux kernel nvidia modules for version 6.17.0-1009 (objects)
- This package contains the Linux kernel nvidia modules for version 6.17.0-1009.
- .
- You likely do not want to install this package directly. Instead, install the
- one of the linux-modules-nvidia-535-open-oem* meta-packages,
- which will ensure that upgrades work correctly, and that supporting packages are
- also installed.
-
-Package: linux-objects-nvidia-570-6.17.0-1009-oem
-Build-Profiles: <!stage1>
-Architecture: amd64 
-Section: kernel
-Priority: optional
-Built-Using: ${linux:BuiltUsing}
-Depends:
- ${misc:Depends},
- ${shlibs:Depends},
- binutils,
-Description: Linux kernel nvidia modules for version 6.17.0-1009 (objects)
