=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
  curl,
  dkms,
  gawk,
- linux-headers-6.17.0-1009-oem (>= 6.17.0-1009.9) [amd64],
+ linux-headers-6.17.0-1010-oem (>= 6.17.0-1010.10) [amd64],
  lsb-release,
  python3,
  python3-apt,
@@ -32,7 +32,7 @@
 Provides: ${dkms:nvidia-535-modules}, nvidia-prebuilt-kernel
 Depends:
  ${misc:Depends},
- linux-modules-nvidia-535-6.17.0-1009-oem (= ${binary:Version}),
+ linux-modules-nvidia-535-6.17.0-1010-oem (= ${binary:Version}),
  ${nvk:nvidia-535},
 Description: Extra drivers for nvidia-535 for the oem-6.17 flavour
  Install extra signed nvidia-535 modules compatible with the oem-6.17 flavour.
@@ -44,7 +44,7 @@
 Provides: ${dkms:nvidia-535-open-modules}, nvidia-prebuilt-kernel
 Depends:
  ${misc:Depends},
- linux-modules-nvidia-535-open-6.17.0-1009-oem (= ${binary:Version}),
+ linux-modules-nvidia-535-open-6.17.0-1010-oem (= ${binary:Version}),
  ${nvk:nvidia-535-open},
 Description: Extra drivers for nvidia-535-open for the oem-6.17 flavour
  Install extra signed nvidia-535-open modules compatible with the oem-6.17 flavour.
@@ -56,7 +56,7 @@
 Provides: ${dkms:nvidia-570-modules}, nvidia-prebuilt-kernel
 Depends:
  ${misc:Depends},
- linux-modules-nvidia-570-6.17.0-1009-oem (= ${binary:Version}),
+ linux-modules-nvidia-570-6.17.0-1010-oem (= ${binary:Version}),
  ${nvk:nvidia-570},
 Description: Extra drivers for nvidia-570 for the oem-6.17 flavour
  Install extra signed nvidia-570 modules compatible with the oem-6.17 flavour.
@@ -68,7 +68,7 @@
 Provides: ${dkms:nvidia-570-open-modules}, nvidia-prebuilt-kernel
 Depends:
  ${misc:Depends},
- linux-modules-nvidia-570-open-6.17.0-1009-oem (= ${binary:Version}),
+ linux-modules-nvidia-570-open-6.17.0-1010-oem (= ${binary:Version}),
  ${nvk:nvidia-570-open},
 Description: Extra drivers for nvidia-570-open for the oem-6.17 flavour
  Install extra signed nvidia-570-open modules compatible with the oem-6.17 flavour.
@@ -80,7 +80,7 @@
 Provides: ${dkms:nvidia-580-modules}, nvidia-prebuilt-kernel
 Depends:
  ${misc:Depends},
- linux-modules-nvidia-580-6.17.0-1009-oem (= ${binary:Version}),
+ linux-modules-nvidia-580-6.17.0-1010-oem (= ${binary:Version}),
  ${nvk:nvidia-580},
 Description: Extra drivers for nvidia-580 for the oem-6.17 flavour
  Install extra signed nvidia-580 modules compatible with the oem-6.17 flavour.
@@ -92,7 +92,7 @@
 Provides: ${dkms:nvidia-580-open-modules}, nvidia-prebuilt-kernel
 Depends:
  ${misc:Depends},
- linux-modules-nvidia-580-open-6.17.0-1009-oem (= ${binary:Version}),
+ linux-modules-nvidia-580-open-6.17.0-1010-oem (= ${binary:Version}),
  ${nvk:nvidia-580-open},
 Description: Extra drivers for nvidia-580-open for the oem-6.17 flavour
  Install extra signed nvidia-580-open modules compatible with the oem-6.17 flavour.
@@ -104,7 +104,7 @@
 Provides: ${dkms:nvidia-590-modules}, nvidia-prebuilt-kernel
 Depends:
  ${misc:Depends},
- linux-modules-nvidia-590-6.17.0-1009-oem (= ${binary:Version}),
+ linux-modules-nvidia-590-6.17.0-1010-oem (= ${binary:Version}),
  ${nvk:nvidia-590},
 Description: Extra drivers for nvidia-590 for the oem-6.17 flavour
  Install extra signed nvidia-590 modules compatible with the oem-6.17 flavour.
@@ -116,7 +116,7 @@
 Provides: ${dkms:nvidia-590-open-modules}, nvidia-prebuilt-kernel
 Depends:
  ${misc:Depends},
- linux-modules-nvidia-590-open-6.17.0-1009-oem (= ${binary:Version}),
+ linux-modules-nvidia-590-open-6.17.0-1010-oem (= ${binary:Version}),
  ${nvk:nvidia-590-open},
 Description: Extra drivers for nvidia-590-open for the oem-6.17 flavour
  Install extra signed nvidia-590-open modules compatible with the oem-6.17 flavour.
@@ -128,7 +128,7 @@
 Provides: ${dkms:nvidia-535-modules}, nvidia-prebuilt-kernel
 Depends:
  ${misc:Depends},
- linux-modules-nvidia-535-6.17.0-1009-oem (= ${binary:Version}),
+ linux-modules-nvidia-535-6.17.0-1010-oem (= ${binary:Version}),
  ${nvk:nvidia-535},
 Description: Extra drivers for nvidia-535 for the oem-24.04d flavour
  Install extra signed nvidia-535 modules compatible with the oem-24.04d flavour.
@@ -140,7 +140,7 @@
 Provides: ${dkms:nvidia-535-open-modules}, nvidia-prebuilt-kernel
 Depends:
  ${misc:Depends},
- linux-modules-nvidia-535-open-6.17.0-1009-oem (= ${binary:Version}),
+ linux-modules-nvidia-535-open-6.17.0-1010-oem (= ${binary:Version}),
  ${nvk:nvidia-535-open},
 Description: Extra drivers for nvidia-535-open for the oem-24.04d flavour
  Install extra signed nvidia-535-open modules compatible with the oem-24.04d flavour.
@@ -152,7 +152,7 @@
 Provides: ${dkms:nvidia-570-modules}, nvidia-prebuilt-kernel
 Depends:
  ${misc:Depends},
- linux-modules-nvidia-570-6.17.0-1009-oem (= ${binary:Version}),
+ linux-modules-nvidia-570-6.17.0-1010-oem (= ${binary:Version}),
  ${nvk:nvidia-570},
 Description: Extra drivers for nvidia-570 for the oem-24.04d flavour
  Install extra signed nvidia-570 modules compatible with the oem-24.04d flavour.
@@ -164,7 +164,7 @@
 Provides: ${dkms:nvidia-570-open-modules}, nvidia-prebuilt-kernel
 Depends:
  ${misc:Depends},
- linux-modules-nvidia-570-open-6.17.0-1009-oem (= ${binary:Version}),
+ linux-modules-nvidia-570-open-6.17.0-1010-oem (= ${binary:Version}),
  ${nvk:nvidia-570-open},
 Description: Extra drivers for nvidia-570-open for the oem-24.04d flavour
  Install extra signed nvidia-570-open modules compatible with the oem-24.04d flavour.
@@ -176,7 +176,7 @@
 Provides: ${dkms:nvidia-580-modules}, nvidia-prebuilt-kernel
 Depends:
  ${misc:Depends},
- linux-modules-nvidia-580-6.17.0-1009-oem (= ${binary:Version}),
+ linux-modules-nvidia-580-6.17.0-1010-oem (= ${binary:Version}),
  ${nvk:nvidia-580},
 Description: Extra drivers for nvidia-580 for the oem-24.04d flavour
  Install extra signed nvidia-580 modules compatible with the oem-24.04d flavour.
@@ -188,7 +188,7 @@
 Provides: ${dkms:nvidia-580-open-modules}, nvidia-prebuilt-kernel
 Depends:
  ${misc:Depends},
- linux-modules-nvidia-580-open-6.17.0-1009-oem (= ${binary:Version}),
+ linux-modules-nvidia-580-open-6.17.0-1010-oem (= ${binary:Version}),
  ${nvk:nvidia-580-open},
 Description: Extra drivers for nvidia-580-open for the oem-24.04d flavour
  Install extra signed nvidia-580-open modules compatible with the oem-24.04d flavour.
@@ -200,7 +200,7 @@
 Provides: ${dkms:nvidia-590-modules}, nvidia-prebuilt-kernel
 Depends:
  ${misc:Depends},
- linux-modules-nvidia-590-6.17.0-1009-oem (= ${binary:Version}),
+ linux-modules-nvidia-590-6.17.0-1010-oem (= ${binary:Version}),
  ${nvk:nvidia-590},
 Description: Extra drivers for nvidia-590 for the oem-24.04d flavour
  Install extra signed nvidia-590 modules compatible with the oem-24.04d flavour.
@@ -212,7 +212,7 @@
 Provides: ${dkms:nvidia-590-open-modules}, nvidia-prebuilt-kernel
 Depends:
  ${misc:Depends},
- linux-modules-nvidia-590-open-6.17.0-1009-oem (= ${binary:Version}),
+ linux-modules-nvidia-590-open-6.17.0-1010-oem (= ${binary:Version}),
  ${nvk:nvidia-590-open},
 Description: Extra drivers for nvidia-590-open for the oem-24.04d flavour
  Install extra signed nvidia-590-open modules compatible with the oem-24.04d flavour.
@@ -301,7 +301,7 @@
 Description: Extra drivers for nvidia-550-open for the oem flavour (dummy transitional package)
  Transitional package for upgrades of -550-open to -580-open.
 
-Package: linux-objects-nvidia-535-6.17.0-1009-oem
+Package: linux-objects-nvidia-535-6.17.0-1010-oem
 Build-Profiles: <!stage1>
 Architecture: amd64 
 Section: kernel
@@ -311,7 +311,7 @@
  ${misc:Depends},
  ${shlibs:Depends},
  binutils,
-Description: Linux kernel nvidia modules for version 6.17.0-1009 (objects)
- This package contains the Linux kernel nvidia modules for version 6.17.0-1009.
+Description: Linux kernel nvidia modules for version 6.17.0-1010 (objects)
+ This package contains the Linux kernel nvidia modules for version 6.17.0-1010.
  .
  You likely do not want to install this package directly. Instead, install the
